<html>
<script src="../../../js/env.js"></script>
<script src="https://js.dennis.systems/magic/magic.requirement.v1.js"></script>
<script>

    function customVerifyPage(){
        return true;
    }

    Requirement.base()
        .magic("prompt", MagicVersion.prompt).next(true).magic("table", MagicVersion.table).next()
        .magic("list", MagicVersion.list) .next().magic("executor", MagicVersion.executor) .next(true)
        .magic("authorization", MagicVersion.authorization) .next(true).magic("bar", MagicVersion.bar) .next()
        .magic("cache", MagicVersion.cache) .next(true).magic("context.menu", MagicVersion.contextMenu) .next()
        .magic("personal.settings", MagicVersion.personalSettings) .next().magic("date_chooser", MagicVersion.dateChooser) .next()
        .magic("date_constants", MagicVersion.dateConstants) .next().magic("dom", MagicVersion.dom) .next(true)
        .magic("event", MagicVersion.event) .next().magic("files", MagicVersion.files) .next(true)
        .magic("page", MagicVersion.page) .next(true).magic("request", MagicVersion.request) .next()
        .magic("ordering", MagicVersion.ordering) .next().magic("grid", MagicVersion.grid) .next()
        .magic("sort", MagicVersion.sort) .next().magic("fields", MagicVersion.fields) .next(true)
        .magic("favorite", MagicVersion.favorite) .next().magic("tabs", MagicVersion.tabs) .next()
        .magic("prototypes", MagicVersion.prototypes) .next().setPath("loading").next().magic("drag", MagicVersion.drag) .next()
        .magic("true_false_selector", MagicVersion.trueFalseSelector) .next().magic("form", MagicVersion.form).next()
        .magic("remote_chooser", MagicVersion.remoteChooser) .next().magic("pagination", MagicVersion.pagination) .next()
        .magic("search", MagicVersion.search) .next().magic("theme_uploader", MagicVersion.themeUploader) .next()
        .magic("view", MagicVersion.view) .next() .setPath("userdata").next(true).setPath("suneditor.min").next()
        .setPath("chooser/file_chooser").next()
        .finish();
</script>
<title data-text="pages.servers.title"></title>
<body>
<div id="page-loading" class="page-loading"><span class="loader"></span></div>
<div class="page">
    <div
            class="menu-side-wrapper d_flex"
            data-include="templates/menu.html"
    ></div>
    <div class="page-content-wrapper">

        <div class="wrapper">
            <div id="box" class="page_content"></div>
            <data-grid
                    data-use="box"
                    data-path="servers_types_ex"
            ></data-grid>
        </div>
    </div>
</div>
</body>
</html>
